Announcement Announcement Module
Collapse
No announcement yet.
Gradle build errors Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Gradle build errors

    Using gradle-1.0-milestone-4 when i try to build spring security after cloning from http://git.springsource.org/spring-security
    I get the following errors;

    :buildSrc:clean
    :buildSrc:compileJava UP-TO-DATE
    :buildSrc:compileGroovy
    org.codehaus.groovy.control.MultipleCompilationErr orsException: startup failed:
    ~/spring-security/buildSrc/src/main/groovy/aspectj/AspectJPlugin.groovy: 15: unable to resolve class org.gradle.tooling.model.ProjectDependency
    @ line 15, column 1.
    import org.gradle.tooling.model.ProjectDependency
    ^

    ~/spring-security/buildSrc/src/main/groovy/aspectj/AspectJPlugin.groovy: 14: unable to resolve class org.gradle.plugins.ide.eclipse.model.BuildCommand
    @ line 14, column 1.
    import org.gradle.plugins.ide.eclipse.model.BuildCommand
    ^

    ~/spring-security/buildSrc/src/main/groovy/aspectj/AspectJPlugin.groovy: 8: unable to resolve class org.gradle.api.tasks.SourceSet
    @ line 8, column 1.
    import org.gradle.api.tasks.SourceSet
    ^

    I checked gradle plugins directory and it does contain gradle-plugins-1.0-milestone-4.jar in (lib/plugins). Not sure why the classes are not being resolved.


    Any pointers ?

  • #2
    We haven't updated the build to use gradle 1.0-M4 yet and there are one or two API changes. Use the supplied gradle wrapper (./gradlew) or M3.

    Comment


    • #3
      Yes that did it.

      Comment

      Working...
      X